PDF::API2::Resource::Font::CoreFont(3)

NAME
PDF::API2::Resource::Font::CoreFont - Module for using the 14 PDF built-in Fonts.

SYNOPSIS
    #
    use PDF::API2;
    #
    $pdf = PDF::API2->new;
    $cft = $pdf->corefont('Times-Roman');
    #

METHODS

$font = PDF::API2::Resource::Font::CoreFont->new $pdf, $fontname, %options
    Returns a corefont object.

    Valid %options are:

    -encode ... changes the encoding of the font from its default. See perl's Encode for the supported values.

    -pdfname ... changes the reference-name of the font from its default. The reference-name is normally generated automatically and can be retrieved via $pdfname=$font->name.

PDF::API2::Resource::Font::CoreFont->loadallfonts()
    "Requires in" all fonts available as corefonts.

SUPPORTED FONTS

PDF::API2::CoreFont supports the following 'Adobe Core Fonts':
      Courier
      Courier-Bold
      Courier-BoldOblique
      Courier-Oblique
      Helvetica
      Helvetica-Bold
      Helvetica-BoldOblique
      Helvetica-Oblique
      Symbol
      Times-Bold
      Times-BoldItalic
      Times-Italic
      Times-Roman
      ZapfDingbats

PDF::API2::CoreFont supports the following 'Windows Fonts':
      Georgia
      Georgia,Bold
      Georgia,BoldItalic
      Georgia,Italic
      Verdana
      Verdana,Bold
      Verdana,BoldItalic
      Verdana,Italic
      Webdings
      Wingdings

AUTHOR
Alfred Reibenschuh